Found multiple specifications for `FirebaseAnalytics (7.0.0)`

I’m trying to build an iOS Ionic 5 app, it has FCM cordova, on Android works, but on iOS is crashing, the error is:

npm install @ionic-native/firebase-messaging
> cordova plugin add cordova-plugin-firebase-messaging
Installing "cordova-plugin-firebase-messaging" for android
Plugin dependency "cordova-plugin-firebase-analytics@5.0.0" already fetched, using that version.
Installing "cordova-plugin-firebase-analytics" for android
Plugin dependency "cordova-support-android-plugin@1.0.2" already fetched, using that version.
Dependent plugin "cordova-support-android-plugin" already installed on android.
Installing "cordova-support-google-services" for android
Plugin doesn't support this project's cordova-android version. cordova-android: 9.0.0, failed version requirement: <9.0.0
Skipping 'cordova-support-google-services' for android
Subproject Path: CordovaLib
Subproject Path: app
Plugin dependency "cordova-support-android-plugin@1.0.2" already fetched, using that version.
Dependent plugin "cordova-support-android-plugin" already installed on android.
Plugin dependency "cordova-support-google-services@1.4.1" already fetched, using that version.
Installing "cordova-support-google-services" for android
Plugin doesn't support this project's cordova-android version. cordova-android: 9.0.0, failed version requirement: <9.0.0
Skipping 'cordova-support-google-services' for android
Plugin dependency "cordova-plugin-androidx@3.0.0" already fetched, using that version.
Installing "cordova-plugin-androidx" for android
Plugin doesn't support this project's cordova-android version. cordova-android: 9.0.0, failed version requirement: <9.0.0
Skipping 'cordova-plugin-androidx' for android
Subproject Path: CordovaLib
Subproject Path: app
Installing "cordova-plugin-firebase-messaging" for ios
Plugin dependency "cordova-plugin-firebase-analytics@5.0.0" already fetched, using that version.
Installing "cordova-plugin-firebase-analytics" for ios
Running command: pod install --verbose

[!] Found multiple specifications for `FirebaseAnalytics (7.0.0)`:
- MY_USER/.cocoapods/repos/cocoapods/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
- MY_USER/.cocoapods/repos/trunk/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json

Failed to install 'cordova-plugin-firebase-analytics': Error: pod: Command failed with exit code 1 Error output:
[!] Found multiple specifications for `FirebaseAnalytics (7.0.0)`:
- MY_USER/.cocoapods/repos/cocoapods/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
- MY_USER/.cocoapods/repos/trunk/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
    at ChildProcess.whenDone (MY_USER/Documents/ionic_projects/topstock/node_modules/cordova-common/src/superspawn.js:136:25)
    at ChildProcess.emit (node:events:378:20)
    at maybeClose (node:internal/child_process:1067:16)
    at Process.ChildProcess._handle.onexit (node:internal/child_process:301:5)
Failed to install 'cordova-plugin-firebase-messaging': Error: pod: Command failed with exit code 1 Error output:
[!] Found multiple specifications for `FirebaseAnalytics (7.0.0)`:
- MY_USER/.cocoapods/repos/cocoapods/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
- MY_USER/.cocoapods/repos/trunk/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
    at ChildProcess.whenDone (MY_USER/Documents/ionic_projects/topstock/node_modules/cordova-common/src/superspawn.js:136:25)
    at ChildProcess.emit (node:events:378:20)
    at maybeClose (node:internal/child_process:1067:16)
    at Process.ChildProcess._handle.onexit (node:internal/child_process:301:5)
pod: Command failed with exit code 1 Error output:
[!] Found multiple specifications for `FirebaseAnalytics (7.0.0)`:
- MY_USER/.cocoapods/repos/cocoapods/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
- MY_USER/cocoapods/repos/trunk/Specs/e/2/1/FirebaseAnalytics/7.0.0/FirebaseAnalytics.podspec.json
[ERROR] An error occurred while running subprocess cordova.
        
        cordova plugin add cordova-plugin-firebase-messaging exited with exit code 1.
        
        Re-running this command with the --verbose flag may provide more information.

added 1 package, and audited 1721 packages in 5s

Anyone knows the solution? Thank you

ionic cordova plugin add cordova-plugin-androidx-adapter also install this plugin may be it work fine

I was using it already on Android :wink: thank you